> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Assets

> Retrieves a list of assets.



## OpenAPI

````yaml /openapi.json get /public/v1/assets/assets
openapi: 3.1.0
info:
  title: Topsort Endpoints v2 API Reference
  description: >
    In order for a storefront to be able to run auctions in Topsort and report
    auction-related events back to Topsort,

    both the `/v2/auctions` and `/v2/events` endpoints must be integrated.

    Below are the endpoint and model definitions for each.
  contact:
    email: wicha@topsort.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  x-logo:
    url: https://assets.topsort.com/Topsort_logo_icon_dark.svg
    backgroundColor: '#fff'
    altText: Topsort
  version: 2.0.0
servers:
  - url: https://api.topsort.com
    description: Base API URL
security: []
tags:
  - name: Auctions
    description: >-
      An auction determines which products should be promoted based on the
      vendors' bids.
  - name: Events
    description: >-
      Events are sent to Topsort as part of the attribution and reporting
      journey.
  - name: Toptimize
    description: >
      An out-of-the-box solution for prediction, ranking, retrieval, and other
      elements of ad selection.
  - name: Toppie API
    description: Toppie management API.
  - name: Campaign API
    description: Full-featured campaign management API for banners and sponsored listings.
  - name: Catalog API
    description: Products catalog management API.
  - name: Billing API
    description: Marketplace and Vendor Billing management API.
  - name: Reporting API
    description: Marketplace, Vendor, Campaign, and product reporting API.
  - name: Invitation API
    description: Vendor invitations management API.
  - name: User API
    description: User management API.
  - name: Webhooks API
    description: Webhooks API that allows event-driven automation.
  - name: Assets API
    description: Assets management API.
  - name: Segments Service
    description: Segments Service.
  - name: Forecasting Service
    description: Toptimize Forecasting Service.
  - name: Offsite Ads API
    description: Offsite Ads API that allows to manage offsite ads campaigns.
  - name: Media API
    description: Ad configuration API.
paths:
  /public/v1/assets/assets:
    get:
      tags:
        - Assets API
      summary: Get Assets
      description: Retrieves a list of assets.
      operationId: get_assets
      parameters:
        - name: vendor_id
          in: query
          required: false
          schema:
            description: Vendor ID.
            oneOf:
              - type: string
              - type: 'null'
          description: Vendor ID.
        - name: collection_name
          in: query
          required: false
          schema:
            description: The collection name that the assets are associated with.
            oneOf:
              - type: string
              - type: 'null'
          description: The collection name that the assets are associated with.
        - name: brand
          in: query
          required: false
          schema:
            description: The brand that the assets are associated with.
            oneOf:
              - type: string
              - type: 'null'
          description: The brand that the assets are associated with.
        - name: mimetype
          in: query
          required: false
          schema:
            description: The mimetype of the assets.
            oneOf:
              - $ref: '#/components/schemas/Advanced_APIs_AssetMimetype'
              - type: 'null'
          description: The mimetype of the assets.
        - name: status
          in: query
          required: false
          schema:
            description: The approval status of the assets.
            oneOf:
              - $ref: '#/components/schemas/Advanced_APIs_AssetStatus'
              - type: 'null'
          description: The approval status of the assets.
        - name: asset_ids
          in: query
          required: false
          schema:
            description: The list of asset ids.
            oneOf:
              - items:
                  type: string
                type: array
              - type: 'null'
          description: The list of asset ids.
        - name: next_page
          in: query
          required: false
          schema:
            description: >-
              Pagination cursor as provided in an earlier response. If provided
              will fetch the next page of results.
            oneOf:
              - type: string
              - type: 'null'
          description: >-
            Pagination cursor as provided in an earlier response. If provided
            will fetch the next page of results.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: The maximum number of items to return per page.
            default: 50
          description: The maximum number of items to return per page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_AssetsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_HTTPValidationError'
      security:
        - Advanced_APIs_HTTPBearer: []
components:
  schemas:
    Advanced_APIs_AssetMimetype:
      type: string
      enum:
        - image/jpeg
        - image/png
        - image/gif
        - image/webp
        - text/html
        - video/mp4
        - video/quicktime
        - application/json
        - text/vtt
      title: AssetMimetype
    Advanced_APIs_AssetStatus:
      type: string
      enum:
        - pending_upload
        - pending_approval
        - upload_error
        - approved
        - rejected
      title: AssetStatus
    Advanced_APIs_AssetsResponse:
      properties:
        hasMore:
          type: boolean
          title: Hasmore
          description: >-
            Flag that indicates whether more results are available. `true`
            indicates there is a next page of results. `false` indicates  this
            response contains the last page of results.
        nextPage:
          title: Nextpage
          description: >-
            Pagination cursor. Provide this value as a `next_page` query
            parameter in a new request to retrieve the next page of results.
          examples:
            - SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo=
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
        assets:
          items:
            $ref: '#/components/schemas/Advanced_APIs_AssetResponse'
          type: array
          title: Assets
          description: List of assets
      type: object
      required:
        - hasMore
        - assets
      title: AssetsResponse
    Advanced_APIs_HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Advanced_APIs_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Advanced_APIs_AssetResponse:
      properties:
        id:
          type: string
          title: Id
          description: The id of the asset.
        name:
          type: string
          title: Name
          description: The name of the asset.
        mimetype:
          title: Mimetype
          description: The mimetype of the asset.
          oneOf:
            - type: string
            - type: 'null'
        status:
          $ref: '#/components/schemas/Advanced_APIs_AssetStatus'
          description: Approval status of the asset
        url:
          title: Url
          description: The url of the asset.
          oneOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: 'null'
        productIds:
          items:
            type: string
          type: array
          title: Productids
          description: The product ids that the asset is associated with.
        brands:
          items:
            type: string
          type: array
          title: Brands
          description: The brands that the asset is associated with.
        metadata:
          additionalProperties:
            type: string
          type: object
          title: Metadata
          description: The metadata associated with the asset.
        isExternal:
          type: boolean
          title: Isexternal
          description: Indicates if the asset is externally hosted.
        collections:
          items:
            type: string
          type: array
          title: Collections
          description: The collections that the asset is associated with.
      type: object
      required:
        - id
        - name
        - status
        - productIds
        - brands
        - metadata
        - isExternal
        - collections
      title: AssetResponse
    Advanced_APIs_ValidationError:
      properties:
        loc:
          items:
            oneOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Advanced_APIs_HTTPBearer:
      type: http
      description: >-
        A valid API key generated in Topsort's UI. Use the TSE API key if
        calling auctions or events API, otherwise use the TSC API key.
      scheme: bearer

````